### Enumeration

# GtkOrdering

#### Declaration

    enum Gtk.Ordering

#### Description [src]

Describes the way two values can be compared.

These values can be used with a `GCompareFunc`. However, a `GCompareFunc` is allowed to return any integer values. For converting such a value to a `GtkOrdering` value, use `gtk_ordering_from_cmpfunc()`.

#### Members

`GTK_ORDERING_SMALLER`

  The first value is smaller than the second.

  - Value: `-1`
  - Nickname: `smaller`
  - Available since: 4.0
`GTK_ORDERING_EQUAL`

  The two values are equal.

  - Value: `0`
  - Nickname: `equal`
  - Available since: 4.0
`GTK_ORDERING_LARGER`

  The first value is larger than the second.

  - Value: `1`
  - Nickname: `larger`
  - Available since: 4.0

#### Type functions

###### gtk_ordering_from_cmpfunc

Converts the result of a `GCompareFunc` like `strcmp()` to a `GtkOrdering` value.

since: 4.2